import type { LoadContext, Plugin } from "@docusaurus/types";
/**
 * The plugin's options.
 */
export interface RemoteContentPluginOptions {
    /**
     * Delete local content after everything?
     */
    performCleanup?: boolean;
    /**
     * CLI only mode.
     */
    noRuntimeDownloads?: boolean;
    /**
     * Is this instance for the docs plugin?
     */
    docsIntegration?: boolean;
    /**
     * Is this instance for the blog plugin?
     */
    blogIntegration?: boolean;
    /**
     * The base URL for the source of the content.
     */
    sourceBaseUrl: string;
    /**
     * Specify the document paths from the sourceBaseUrl
     * in a string array or function that returns a string array.
     */
    documents?: string[] | (() => string[]);
    /**
     * The name of the subfolder within the destination (e.g. docs/myfolder/<output here>) to save the content to.
     */
    outputDirectory?: string;
}
export declare type LoadableContent = void;
export default function pluginRemoteContent(context: LoadContext, options: RemoteContentPluginOptions): Plugin<LoadableContent>;
//# sourceMappingURL=index.d.ts.map